Bug 1919336 - vsphere-problem-detector should check if datastore is part of datastore cluster
Summary: vsphere-problem-detector should check if datastore is part of datastore cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Hemant Kumar
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks: 1934180
TreeView+ depends on / blocked
 
Reported: 2021-01-22 15:39 UTC by Hemant Kumar
Modified: 2021-07-27 22:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1934180 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:36:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift vsphere-problem-detector pull 28 0 None closed Bug 1919336: Check if datastore belongs to a datastore cluster 2021-02-19 02:31:08 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:36:56 UTC

Description Hemant Kumar 2021-01-22 15:39:09 UTC
Description of problem:

vsphere-problem-detector should create an metric for clusters where datastore is part of a datastore cluster because such a configuration is not supported.

Comment 3 Qin Ping 2021-02-22 08:48:53 UTC
We don't have a vsphere cluster which supports datastore cluster, with this PR, the vsphere problem detector works well for the datastore not in the datastore cluster. So, I'll mark this as verified first.

cluster version: 4.8.0-0.nightly-2021-02-21-102854

Comment 6 errata-xmlrpc 2021-07-27 22:36:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.